Upstream information

CVE-2018-17456 at MITRE

Description

Git before 2.14.5, 2.15.x before 2.15.3, 2.16.x before 2.16.5, 2.17.x before 2.17.2, 2.18.x before 2.18.1, and 2.19.x before 2.19.1 allows remote code execution during processing of a recursive "git clone" of a superproject if a .gitmodules file has a URL field beginning with a '-' character.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1110949 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • git >= 2.12.3-27.17.2
Patchnames:
HPE-Helion-OpenStack-8-2018-2918
Openstack Cloud Magnum Orchestration 7
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-2918
SUSE CaaS Platform 3.0
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-CAASP-3.0-2018-2918
SUSE CaaS Platform ALL
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-CAASP-ALL-2018-2918
SUSE Enterprise Storage 4
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-Storage-4-2018-2918
SUSE Linux Enterprise Module for Basesystem 15
  • git >= 2.16.4-3.6.1
  • git-core >= 2.16.4-3.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2232
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • git-core >= 2.16.4-3.9.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA git-core
SUSE Linux Enterprise Module for Development Tools 15
  • git >= 2.16.4-3.6.1
  • git-arch >= 2.16.4-3.6.1
  • git-cvs >= 2.16.4-3.6.1
  • git-daemon >= 2.16.4-3.6.1
  • git-doc >= 2.16.4-3.6.1
  • git-email >= 2.16.4-3.6.1
  • git-gui >= 2.16.4-3.6.1
  • git-svn >= 2.16.4-3.6.1
  • git-web >= 2.16.4-3.6.1
  • gitk >= 2.16.4-3.6.1
  • libgit2 >= 0.26.8-3.8.1
  • libgit2-26 >= 0.26.8-3.8.1
  • libgit2-devel >= 0.26.8-3.8.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2232
SUSE-SLE-Module-Development-Tools-15-2018-2865
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • git >= 2.16.4-3.9.2
  • git-arch >= 2.16.4-3.9.2
  • git-cvs >= 2.16.4-3.9.2
  • git-daemon >= 2.16.4-3.9.2
  • git-doc >= 2.16.4-3.9.2
  • git-email >= 2.16.4-3.9.2
  • git-gui >= 2.16.4-3.9.2
  • git-svn >= 2.16.4-3.9.2
  • git-web >= 2.16.4-3.9.2
  • gitk >= 2.16.4-3.9.2
  • libgit2-26 >= 0.26.8-3.8.1
  • libgit2-devel >= 0.26.8-3.8.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA git
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA libgit2-26
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-2918
SUSE Linux Enterprise Server 12 SP1-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-2918
SUSE Linux Enterprise Server 12 SP2-BCL
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2918
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2918
SUSE Linux Enterprise Server 12 SP2-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2918
SUSE Linux Enterprise Server 12 SP3
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2918
SUSE Linux Enterprise Server 12 SP4
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1073
SUSE Linux Enterprise Server 12-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1073
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2918
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1073
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SERVER-12-2018-2918
SUSE Linux Enterprise Software Development Kit 11 SP4
  • git >= 1.7.12.4-0.18.17.1
  • git-arch >= 1.7.12.4-0.18.17.1
  • git-core >= 1.7.12.4-0.18.17.1
  • git-cvs >= 1.7.12.4-0.18.17.1
  • git-daemon >= 1.7.12.4-0.18.17.1
  • git-email >= 1.7.12.4-0.18.17.1
  • git-gui >= 1.7.12.4-0.18.17.1
  • git-svn >= 1.7.12.4-0.18.17.1
  • git-web >= 1.7.12.4-0.18.17.1
  • gitk >= 1.7.12.4-0.18.17.1
Patchnames:
sdksp4-git-13938
SUSE Linux Enterprise Software Development Kit 12 SP3
  • git >= 2.12.3-27.17.2
  • git-arch >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-cvs >= 2.12.3-27.17.2
  • git-daemon >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
  • git-email >= 2.12.3-27.17.2
  • git-gui >= 2.12.3-27.17.2
  • git-svn >= 2.12.3-27.17.2
  • git-web >= 2.12.3-27.17.2
  • gitk >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2918
SUSE Linux Enterprise Software Development Kit 12 SP4
  • git >= 2.12.3-27.17.2
  • git-arch >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-cvs >= 2.12.3-27.17.2
  • git-daemon >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
  • git-email >= 2.12.3-27.17.2
  • git-gui >= 2.12.3-27.17.2
  • git-svn >= 2.12.3-27.17.2
  • git-web >= 2.12.3-27.17.2
  • gitk >= 2.12.3-27.17.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1073
SUSE OpenStack Cloud 7
  • git >= 2.12.3-27.17.2
  • git-core >= 2.12.3-27.17.2
  • git-doc >= 2.12.3-27.17.2
Patchnames:
SUSE-OpenStack-Cloud-7-2018-2918
SUSE OpenStack Cloud 8
  • git >= 2.12.3-27.17.2
Patchnames:
SUSE-OpenStack-Cloud-8-2018-2918
SUSE Studio Onsite 1.3
  • git >= 1.7.12.4-0.18.17.1
  • git-core >= 1.7.12.4-0.18.17.1
Patchnames:
slestso13-git-13938
openSUSE Leap 15.0
  • git >= 2.16.4-lp150.2.6.1
  • git-arch >= 2.16.4-lp150.2.6.1
  • git-core >= 2.16.4-lp150.2.6.1
  • git-core-debuginfo >= 2.16.4-lp150.2.6.1
  • git-credential-gnome-keyring >= 2.16.4-lp150.2.6.1
  • git-credential-gnome-keyring-debuginfo >= 2.16.4-lp150.2.6.1
  • git-credential-libsecret >= 2.16.4-lp150.2.6.1
  • git-credential-libsecret-debuginfo >= 2.16.4-lp150.2.6.1
  • git-cvs >= 2.16.4-lp150.2.6.1
  • git-daemon >= 2.16.4-lp150.2.6.1
  • git-daemon-debuginfo >= 2.16.4-lp150.2.6.1
  • git-debuginfo >= 2.16.4-lp150.2.6.1
  • git-debugsource >= 2.16.4-lp150.2.6.1
  • git-doc >= 2.16.4-lp150.2.6.1
  • git-email >= 2.16.4-lp150.2.6.1
  • git-gui >= 2.16.4-lp150.2.6.1
  • git-p4 >= 2.16.4-lp150.2.6.1
  • git-svn >= 2.16.4-lp150.2.6.1
  • git-svn-debuginfo >= 2.16.4-lp150.2.6.1
  • git-web >= 2.16.4-lp150.2.6.1
  • gitk >= 2.16.4-lp150.2.6.1
  • libgit2 >= 0.26.8-lp150.2.6.1
  • libgit2-26 >= 0.26.8-lp150.2.6.1
  • libgit2-26-32bit >= 0.26.8-lp150.2.6.1
  • libgit2-26-32bit-debuginfo >= 0.26.8-lp150.2.6.1
  • libgit2-26-debuginfo >= 0.26.8-lp150.2.6.1
  • libgit2-debugsource >= 0.26.8-lp150.2.6.1
  • libgit2-devel >= 0.26.8-lp150.2.6.1
Patchnames:
openSUSE-2019-802
openSUSE-2019-986
openSUSE Leap 42.3
  • git >= 2.13.7-16.1
  • git-arch >= 2.13.7-16.1
  • git-core >= 2.13.7-16.1
  • git-core-debuginfo >= 2.13.7-16.1
  • git-credential-gnome-keyring >= 2.13.7-16.1
  • git-credential-gnome-keyring-debuginfo >= 2.13.7-16.1
  • git-cvs >= 2.13.7-16.1
  • git-daemon >= 2.13.7-16.1
  • git-daemon-debuginfo >= 2.13.7-16.1
  • git-debugsource >= 2.13.7-16.1
  • git-doc >= 2.13.7-16.1
  • git-email >= 2.13.7-16.1
  • git-gui >= 2.13.7-16.1
  • git-svn >= 2.13.7-16.1
  • git-svn-debuginfo >= 2.13.7-16.1
  • git-web >= 2.13.7-16.1
  • gitk >= 2.13.7-16.1
Patchnames:
openSUSE-2018-1147


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 git In progress
CaaS Platform 2.0 git In progress
CaaS Platform 3.0 git Released
HPE Helion OpenStack 8 git Released
OpenStack Cloud Magnum Orchestration 7.0 git In progress
SUSE Linux Enterprise High Performance Computing 12 git Released
SUSE Linux Enterprise Module for Basesystem 15 GA git Released
SUSE Linux Enterprise Module for Development Tools 15 GA git Released
SUSE Linux Enterprise Module for Development Tools 15 GA libgit2 Released
SUSE Linux Enterprise SDK 11 SP4 git Released
SUSE Linux Enterprise SDK 12 SP3 git In progress
SUSE Linux Enterprise SDK 12 SP3 libgit2 Released
SUSE Linux Enterprise SDK 12 SP4 git Released
SUSE Linux Enterprise SDK 12 SP4 libgit2 Released
SUSE Linux Enterprise Server 12 GA LTSS git In progress
SUSE Linux Enterprise Server 12 SP1 LTSS git Released
SUSE Linux Enterprise Server 12 SP2 LTSS git Released
SUSE Linux Enterprise Server 12 SP3 git In progress
SUSE Linux Enterprise Server 12 SP4 git Released
SUSE Linux Enterprise Server for SAP Applications 12 GA git Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 git Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 git Released
SUSE Manager Server 3.1 libgit2 Released
SUSE Manager Server 3.2 libgit2 Released
SUSE Openstack Cloud 8 git Released
SUSE Studio Onsite 1.3 git Released